PearPear

Update trade account

Update an existing trade account (alias, credentials, or metadata)

PATCH
/trade-accounts/{id}
x-api-key<token>

In: header

Path Parameters

id*string

Trade account ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/trade-accounts/3fa85f64-5717-4562-b3fc-2c963f66afa6" \  -H "Content-Type: application/json" \  -d '{    "connector": "hyperliquid"  }'
{  "account": {    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",    "alias": "string",    "connector": "hyperliquid",    "exchangeIdentifier": "string",    "metadata": {      "agentWalletAddress": "string",      "isSubaccount": true,      "mainAccountAddress": "string"    },    "createdAt": "string",    "updatedAt": "string",    "deletedAt": "string"  }}